Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036849
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-09-13 17:242017-10-24 08:56
ReportermontesmView Statuspublic 
Assigned Togorka_gil 
PrioritynormalResolutionfixedFixed in VersionRR18Q1
StatusclosedFix in branchFixed in SCM revision0df7f83bc646
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036849: [SER QA 3282] Central Server OFF. When paying a ticket with cash, pop up appears 'to close the drawer' permanently.

DescriptionPaying a cash ticket checks the status of the drawer and remains the check in infinite loop.

already verified cause:
  not loaded in Application Cache: checkdrawerstatus.xml
Steps To Reproduce1. Log into the web pos with the CS Off
2. Add a product.
3. Close and pay the ticket with 'cash'
4. --pop up to confirm drawer closure --
Proposed SolutionLoad into Appcache (chrome://appcache-internals/# [^]) : org.openbravo.retail.posterminal/res/checkdrawerstatus.xml
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0099856)
gorka_gil (administrator)
2017-10-10 16:40

Can not reproduce the issue, tested:
- Retail of Oct 6
- Put all the modules in NO in development (so offline works)
- Enable preference "Web POS Close Drawer Before Continue"
- Start the hardware manager, get the listen ip and port
- Configure the hardware manager in the backend in the pos terminal we are using the url http://ip:port/printer [^]
- Clean cache of the web browser
- With apache and tomcat started make login in the pos
- Check in the hardware manager printer tab that is connected correctly and showing welcome message
- After login stop apache -> this makes go offline the pos
- Do a new receipt and pay it
- It shows the pop up "close the drawer"
- In the hardware manager printer tab, click on close drawer button
- And the pop up disappears -> so everything works as expected

In any case the checkdrawerstatus.xml should be in the application cache so fixing it.
(0099857)
hgbot (developer)
2017-10-10 17:07

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0df7f83bc6464832c0fb138087cfa64f884745ac
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Fri Oct 06 11:16:51 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0df7f83bc6464832c0fb138087cfa64f884745ac [^]

Fixed issue 36849: [SER QA 3282] Central Server OFF. When paying a ticket with cash, pop up appears 'to close the drawer' permanently.

Added checkdrawerstatus.xml to Application Cache

---
M src/org/openbravo/retail/posterminal/ApplicationCacheComponent.java
---

- Issue History
Date Modified Username Field Change
2017-09-13 17:24 montesm New Issue
2017-09-13 17:24 montesm Assigned To => Retail
2017-09-13 17:24 montesm Triggers an Emergency Pack => No
2017-10-06 11:27 gorka_gil Assigned To Retail => gorka_gil
2017-10-06 11:27 gorka_gil Status new => scheduled
2017-10-10 16:40 gorka_gil Note Added: 0099856
2017-10-10 17:07 hgbot Checkin
2017-10-10 17:07 hgbot Note Added: 0099857
2017-10-10 17:07 hgbot Status scheduled => resolved
2017-10-10 17:07 hgbot Resolution open => fixed
2017-10-10 17:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0df7f83bc6464832c0fb138087cfa64f884745ac [^]
2017-10-24 08:56 marvintm Review Assigned To => marvintm
2017-10-24 08:56 marvintm Status resolved => closed
2017-10-24 08:56 marvintm Fixed in Version => RR18Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker